@ECHO OFF
IF "%1"=="" GOTO ERR0
IF "%1"=="C:" GOTO NOERR
IF "%1"=="c:" GOTO NOERR
IF "%1"=="D:" GOTO NOERR
IF "%1"=="d:" GOTO NOERR
IF "%1"=="E:" GOTO NOERR
IF "%1"=="e:" GOTO NOERR
IF "%1"=="F:" GOTO NOERR
IF "%1"=="f:" GOTO NOERR
GOTO ERR0
:NOERR

%1\
MD %1\strand
CD %1\strand
copy a:inst.bat %1\strand
inst
goto exit
:ERR0
ECHO            Please type "INSTALL" with a disk driver's name.
ECHO                   EXAMPLE:
ECHO                                INSTALL C:
:exit
echo on
